Page MenuHomePhabricator

T3. Easily start a new Flow topic with pre-filled text (Mediawiki, French)
Closed, ResolvedPublic2 Story Points

Description

French WP would like to have a link that pre-fills a title, and adds a template to the message text.

This would match the functionality of the blue button on this page:

https://fr.wikipedia.org/wiki/Wikip%C3%A9dia:Forum_des_nouveaux/relecture

Requirement for Translatewiki.

Current functionality:

  1. On Special:Translate, there's an "Ask for more information" link for individual translations.
  1. Clicking on that link opens a new edit window for a discussion on the Support page, with the title < About [[Project:Message/Language]] >

Flow needs to match this functionality.

This includes:

  • Creating a title with the name of the message
  • Adding a link to the message in the message or topic summary

[preload, pre-load - keywords for search :]

Event Timeline

DannyH created this task.Jan 30 2015, 7:44 PM
DannyH raised the priority of this task from to Needs Triage.
DannyH updated the task description. (Show Details)
DannyH moved this task to Team discussion on the Collaboration-Team-Triage board.
DannyH added a subscriber: DannyH.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 30 2015, 7:44 PM
This comment was removed by DannyH.
DannyH updated the task description. (Show Details)Jan 30 2015, 7:51 PM
DannyH set Security to None.
DannyH edited a custom field.Feb 2 2015, 7:16 PM
DannyH updated the task description. (Show Details)Feb 2 2015, 7:57 PM
DannyH edited a custom field.
Mattflaschen-WMF triaged this task as High priority.Feb 3 2015, 6:45 PM

Not sure we should build this as part of Flow, as this seems rather translatewiki-specific.

Flow provides an API that can be used to create the new topic.
The rest is a bunch of JS/CSS to build this interaction/feature. Something that - I think - should be done as a standalone gadget/extension.
We could help build that gadget, or translatewiki folks can probably even easily make it themselves.

Not sure we should build this as part of Flow, as this seems rather translatewiki-specific.

If it's really just pre-filling the new topic form, I don't think it's TranslateWiki.net specific. This is implemented by LQT, and we even have a version of this feature for wikitext. See https://en.wikipedia.org/wiki/Talk:Sandbox?preloadtitle=Question%20about%20the%20Sandbox&section=new&action=edit . There are many use cases.

I agree anything specific to the TranslateWiki.Net workflow probably does not belong in Flow, but I think there are broader uses for this.

It's going to be more than prefilling the title (which I agree we could do as part of Flow)

It also needs a link to somewhere. We don't support wikitext in titles, so suggestion was to use summaries for that.
However, current Flow UI does not allow a summary to be added as a topic is created, so we'd need to add that too (and this is starting to look more like a "I don't want to bake this edgecase into Flow" thing) :)

IIRC, one of the alternatives discussed was that (instead of linking to a Flow board with prefilled text) some modal window could appear which, when submitted, sends an API request to create the topic with all the required details. In this case, that is not something we should build as part of Flow, rather anyone can build it as a standalone gadget.

However, the current description does also say, "Adding a link to the message in the message or topic summary".

If adding the link to the topic's initial post/message (instead of topic title or summary) is okay, that basically just means Flow needs to be able to pre-fill the topic title and topic initial post. That seems reasonable and general-purpose.

DannyH renamed this task from Easily start a new Flow topic with pre-filled text (Translatewiki) to Easily start a new Flow topic with pre-filled text (Mediawiki, Translate, French).Mar 12 2015, 4:48 PM
Quiddity updated the task description. (Show Details)Mar 12 2015, 4:51 PM
DannyH updated the task description. (Show Details)Mar 16 2015, 4:59 PM
DannyH renamed this task from Easily start a new Flow topic with pre-filled text (Mediawiki, Translate, French) to T3. Easily start a new Flow topic with pre-filled text (Mediawiki, French).Mar 25 2015, 7:32 PM

Change 200149 had a related patch set uploaded (by Matthias Mullie):
Accept preload & preloadtitle params

https://gerrit.wikimedia.org/r/200149

Above patch introduces ?topiclist_preload=<page>&topiclist_preloadtitle=<text> params.

Specs for this feature were rather unclear. I've tried to make it similar to ?preload=<page>&preloadtitle=<text> for regular wikitext new-section, "preload" accepts the title of a page, of which the content will be prefilled in the first-post. "preloadtitle" just accepts text, which will be prefilled as topic title.

https://mediawiki.org/wiki/Talk:Sandbox?topiclist_preload=Lorem&topiclist_preloadtitle=Ipsum would result in:

  • topic prefilled with "Ipsum"
  • text prefilled with content of page "Lorem"

Given that TranslateWiki.net is stalled, do we still need the "Adding a link to the message in the message or topic summary" part?

The French request is the important one right now. If that also gives us the Translatewiki functionality, then that's nice, but it's not necessary for this sprint.

Will the topiclist_preload=Lorem work for the kind of message that French wants to add in this screenshot? It's a lot of text, including spaces.

The French request is the important one right now. If that also gives us the Translatewiki functionality, then that's nice, but it's not necessary for this sprint.
Will the topiclist_preload=Lorem work for the kind of message that French wants to add in this screenshot? It's a lot of text, including spaces.

Yes. It will basically work exactly the same, except:

https://fr.wikipedia.org/w/index.php?title=Wikip%C3%A9dia:Forum_des_nouveaux/relecture&action=edit&section=new&topiclist_preload=Wikip%C3%A9dia%3AForum+des+nouveaux%2Fsignature&topiclist_preloadtitle=Demande%20de%20%7B%7Bsubst:REVISIONUSER%7D%7D

instead of:

https://fr.wikipedia.org/w/index.php?title=Wikip%C3%A9dia:Forum_des_nouveaux/relecture&action=edit&section=new&preload=Wikip%C3%A9dia%3AForum+des+nouveaux%2Fsignature&preloadtitle=Demande%20de%20%7B%7Bsubst:REVISIONUSER%7D%7D

(just a different prefix).

In T88146#1158581, @Mattflaschen wrote:

Given that TranslateWiki.net is stalled, do we still need the "Adding a link to the message in the message or topic summary" part?

It will definitely (100% certainty) be useful at some point, if only to provide links or templates (because we don't have links or templates in Titles). E.g. WP:RFPP or WP:AN3 use links in the section titles. So, if support for that is not added here, please file a task for adding it later. :)

Change 200149 merged by jenkins-bot:
Accept preload & preloadtitle params

https://gerrit.wikimedia.org/r/200149

Mattflaschen-WMF closed this task as Resolved.Mar 27 2015, 11:10 PM
In T88146#1158581, @Mattflaschen wrote:

Given that TranslateWiki.net is stalled, do we still need the "Adding a link to the message in the message or topic summary" part?

It will definitely (100% certainty) be useful at some point, if only to provide links or templates (because we don't have links or templates in Titles).

Filed as T94283: Allow preloading summary with explicit text

DannyH added a comment.Apr 9 2015, 1:00 AM

How do I product review this? I'm not sure how to set up the pre-filled text.

DannyH closed this task as Resolved.Apr 9 2015, 1:25 AM

Works on Beta. Awesome!

-jem- added a subscriber: -jem-.Jun 21 2015, 12:05 AM